4 # Copyright (C) 2006 Benedikt Boehm <hollow@gentoo.org>
6 # This program is free software; you can redistribute it and/or modify
7 # it under the terms of the GNU General Public License as published by
8 # the Free Software Foundation; version 2 of the License.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY; without even the implied warranty of
12 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
13 # GNU General Public License for more details.
15 # You should have received a copy of the GNU General Public License
16 # along with this program; if not, write to the Free Software
17 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
19 : ${UTIL_VSERVER_VARS:=/usr/lib/util-vserver/util-vserver-vars}
20 test -e "$UTIL_VSERVER_VARS" || {
21 echo $"Can not find util-vserver installation (the file '$UTIL_VSERVER_VARS' would be expected); aborting..." >&2
24 . "$UTIL_VSERVER_VARS"
31 $"Usage: $0 <vserver-name>* [--all] -- <params>+
33 Report bugs to <$PACKAGE_BUGREPORT>."
37 function showVersion()
40 $"vemerge $PACKAGE_VERSION -- emerge for vservers
41 This program is part of $PACKAGE_STRING
43 Copyright (C) 2006 Benedikt Boehm
44 This program is free software; you may redistribute it under the terms of
45 the GNU General Public License. This program has absolutely no warranty."
49 tmp=$(getopt -o +q --long help,version,debug,quiet,all -n "$0" -- "$@") || exit 1
52 declare -a send_through vsomething_opts
56 (--help) showHelp $0 ;;
57 (--version) showVersion ;;
58 (--debug) send_through=( "${send_through[@]}" "$1" ); set -x;;
59 (--quiet|-q) send_through=( "${send_through[@]}" "$1" );;
60 (--all) vsomething_opts=( "${vsomething_opts[@]}" "$1" );;
61 (--) test ${#vsomething_opts[@]} -eq 0 && shift; break;;
62 (*) echo $"vemerge: internal error; arg=='$1'" >&2; exit 1;;
67 declare -a vserver_names
69 while [ $# -gt 0 ]; do
72 (*) vserver_names=( "${vserver_names[@]}" "$1" );;
77 VSOMETHING_TITLE=vemerge
80 export VSOMETHING_TITLE VSOMETHING_PKGMGMT
81 exec $_VSOMETHING "${send_through[@]}" emerge "${vsomething_opts[@]}" "${vserver_names[@]}" -- "$@"